Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp Class Reference

FilmBack Xform Operation This class holds the data about a particular transform operation, but does not hold the actual data to calculate a 3x3 matrix. It holds the type of operation (Translate, Scale, Matrix), a hint about the type which can be interpreted by packages like Maya, and what particular parts of the operations can change over time. More...

`#include <FilmBackXformOp.h>`

## Public Member Functions
| FilmBackXformOp (const FilmBackXformOperationType iType, const std::string &iHint)
FilmBackXformOperationType | getType () const
| Get the type of transform operation. (Translate, Scale, Matrix)
std::string | getHint () const
std::string | getTypeAndHint () const
std::size_t | getNumChannels () const
double | getChannelValue (std::size_t iIndex) const
void | setChannelValue (std::size_t iIndex, double iVal)
void | setTranslate (const Abc::V2d &iTrans)
void | setScale (const Abc::V2d &iScale)
void | setMatrix (const Abc::M33d &iMatrix)
Abc::V2d | getTranslate () const
Abc::V2d | getScale () const
Abc::M33d | getMatrix () const
bool | isTranslateOp () const
bool | isScaleOp () const
bool | isMatrixOp () const

## Friends
class | ICameraSchema

## Detailed Description

FilmBack Xform Operation This class holds the data about a particular transform operation, but does not hold the actual data to calculate a 3x3 matrix. It holds the type of operation (Translate, Scale, Matrix), a hint about the type which can be interpreted by packages like Maya, and what particular parts of the operations can change over time.

## Member Function Documentation

## ◆ getChannelValue()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getChannelValue | ( | std::size_t | iIndex | ) | const

Get a single channel, 0 will be returned if iIndex is greater than numChannels - 1

## ◆ getHint()

std::string Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getHint | ( |  | ) | const

Get the hint to help disambiguate certain options that may have the same type.

## ◆ getNumChannels()

std::size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getNumChannels | ( |  | ) | const

Get the number of components that this operation has based on the type. Translate and Scale have 2, and Matrix has 9.

## ◆ getTypeAndHint()

std::string Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::getTypeAndHint | ( |  | ) | const

Get the type and hint, where the first character is the type (t for translate, s for scale, m for matrix) and the rest of the returned string is the optional hint value.

## ◆ setChannelValue()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::FilmBackXformOp::setChannelValue | ( | std::size_t | iIndex,
|  | double | iVal )

Set a single channel; nothing will be set if iIndex is greater than numChannels - 1.

The documentation for this class was generated from the following files:

- AbcGeom/FilmBackXformOp.h
- AbcGeom/FilmBackXformOp.cpp